import { Subject } from 'rxjs';
import { SdFormGenericComponent, SdFormGenericGroup } from '../../../models';
import * as i0 from "@angular/core";
export declare class BuilderService {
    #private;
    constructor();
    get componentEmitters(): Subject<SdFormGenericComponent | SdFormGenericGroup>;
    get componentListeners(): import("rxjs").Observable<SdFormGenericComponent | SdFormGenericGroup>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BuilderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BuilderService>;
}
